wf-shadow(1) "wf-shadow" "wlroots Utilities"

# NAME

*wf-shadow* — An instant-replay solution for Linux-based operating systems running
a wlroots Wayland compositor

# SYNOPSIS

*wf-shadow* _OPTION_ [_OPTIONS_...]

# DESCRIPTION

*wf-shadow* is a script written in order to fill the void in instant-replay
software for Wayland, specifically wlroots compositors. It uses wf-recorder(1)
and wofi(1) in order to accomplish the task.

# OPTIONS

*-s, --start* [_MONITOR_]
	Starts a wf-shadow instance on monitor number _MONITOR_, if no _MONITOR_
	is specified, then use monitor #1.

*-r, --record* [_MONITOR_]
	Record the last few moments of video using a wofi(1) menu.

	This will use the same _MONITOR_ number as any running session of
	*wf-shadow*.

*-e, --end* [_MONITOR_]
	End the current instance running on monitor _MONITOR_.

*-a, --audio* _DEVICE_
	This option is used in order to set the pulseaudio/pipewire-pulse device
	that is recorded by *wf-shadow*.

*-n, --no-audio*
	By default, *wf-shadow* enables the -a option of wf-recorder(1). This
	option disables it.

*-V, --video* _DEVICE_
	This option is passed directly to wf-recorder(1)'s _-d_ option.

*-v, --verbose*
	Show the output of wf-recorder(1), ffmpeg(1), and wofi(1)

*-h, --help*
	Show a simple help menu

# ENVIRONMENT

*WF_SHADOW_DIR*
	The path to the directory used to save clips.

*WF_SHADOW_FORMAT*
	The date(1) _-d_ format used by *wf-shadow* to save clips.

*WF_SHADOW_SAVE*
	The bash(1) command to run to get the save file for clips. The output of
	the command is used as the path. Overrides *WF_SHADOW_DIR* and
	*WF_SHADOW_FORMAT*.

*WF_SHADOW_CONFIG*
	The path to the configuration file used by *wf-shadow*.
	See *CONFIGURATION* for how to configure *wf-shadow*.

# CONFIGURATION

The configuration file takes the form of a bash(1) script. This file is sourced
after default variables are set. Use standard bash variable definitions in order
to set either environment variables found in *ENVIRONMENT*, or the following
variables.

*MONITOR*
	The monitor number to use to start, end, or record on. Default is 1.

*AUDIO_DEV*
	This variable is the same as what is passed to _-a_. See *OPTIONS* for
	more information.

*NO_AUDIO*
	When this variable is set, audio recording will be disabled.

*VIDEO_DEV*
	This variable is the same as what is passed to _-V_. See *OPTIONS* for
	more information.

*VERBOSE*
	This variable is non-empty if verbose output should be enabled. Same as
	_-v_.

# EXAMPLES

*wf-shadow* _-s_ _1_
	Start a *wf-shadow* session on monitor #1.

*wf-shadow* _-r_ _1_
	Show a wofi(1) menu of time intervals to save as a clip for the
	*wf-shadow* session on monitor #1. Fails if no such session exists.

*wf-shadow* _-e_ _3_
	End the *wf-shadow* session running on monitor #3. Fails if no such
	session exists.

*wf-shadow* _-s_ _2_ _-V_ _/dev/dri/renderD128_ _-v_
	Start a *wf-shadow* session on monitor #2, using /dev/dri/renderD128 as
	the video encoder. Print verbose output.

# EXIT STATUS

143    A session has ended.

Other  See output.

# SEE ALSO

wf-recorder(1) wofi(1) ffmpeg(1) pactl(1) date(1) bash(1)

# AUTHOR
Skylar "The Cobra" Widulski <thecobra@riseup.net>
